Update Consumer Profile expiry date
curl --request PATCH \
--url https://api.creditor.younegotiate.com/manage-consumers/{consumer}/expiry-date \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expiry_date": "2026-07-31"
}
'import requests
url = "https://api.creditor.younegotiate.com/manage-consumers/{consumer}/expiry-date"
payload = { "expiry_date": "2026-07-31" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expiry_date: '2026-07-31'})
};
fetch('https://api.creditor.younegotiate.com/manage-consumers/{consumer}/expiry-date', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Expiry date updated.",
"data": {
"id": 123,
"summary": {
"account_name": "<string>",
"placement_date": "2023-12-25",
"expiry_date": "2023-12-25",
"original_account_number": "<string>",
"current_account_number": "<string>",
"consumer_login_url": "<string>"
},
"account_profile": {
"displays_active_account_status": true,
"reason_label": "<string>",
"first_name": "<string>",
"middle_name": "<string>",
"last_name": "<string>",
"full_name": "<string>",
"dob": "2023-12-25",
"last4ssn": "<string>",
"beginning_balance": "<string>",
"current_balance": "<string>"
},
"communication_profile": {
"has_email": true,
"has_mobile": true,
"has_communication_profile": true,
"is_communication_updated": true,
"email_permission": true,
"text_permission": true,
"can_send_email": true,
"can_send_sms": true,
"contact": {
"email": "jsmith@example.com",
"mobile": "<string>"
}
},
"negotiation_summary": {
"status": {
"value": "<string>",
"label": "<string>",
"detail_label": "Active Payment Plan",
"list_label": "Active Payment Plan",
"tooltip": "<string>",
"is_expired": true
},
"current_offer_source": "Individual",
"approved_by": "Auto",
"settled_in_full": {
"amount": "<string>",
"date": "2023-12-25"
},
"active_payment_plan": {
"amount": "<string>",
"monthly_amount": "<string>",
"installment_type": "<string>"
}
},
"offer_terms": {
"offer_source": "<string>",
"pif_discount_percent": 123,
"ppa_discount_percent": 123,
"min_monthly_pay_percent": 123,
"max_days_first_pay": 123,
"amount_to_pay_when_pif": 123,
"amount_to_pay_when_ppa": 123,
"min_monthly_amount": 123
},
"active_negotiation": {
"id": 123,
"negotiation_type": "<string>",
"negotiation_type_label": "<string>",
"pay_term_type": "<string>",
"pay_term_type_label": "<string>",
"active_negotiation": true,
"offer_accepted": true,
"counter_offer_accepted": true,
"can_respond": true,
"is_not_editable": true,
"consumer_offer_sent_at": "2023-11-07T05:31:56Z",
"creditor_counter_offer_sent_at": "2023-11-07T05:31:56Z"
},
"available_actions": [
{
"label": "<string>",
"enabled": true,
"fields": [
"<string>"
]
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Update Consumer Profile expiry date
Update the expiration date from the Consumer Profiles detail page. The date may be cleared with null, must be today or later when present, and cannot be updated for settled or removed accounts.
PATCH
/
manage-consumers
/
{consumer}
/
expiry-date
Update Consumer Profile expiry date
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Consumer account ID.
Body
application/json
Use null to clear the expiration date. When present, the date must be today or later.
Example:
"2026-07-31"
Last modified on July 20, 2026
Was this page helpful?
⌘I

